# Linked List Lab

## Instructions

1. Create a linked list, the struct members should contain the following:
    * Each students initals
    * Each students favoriate musical artist
    * Each students dream car
    * Required data for linked list completion
    * **May be worth each student just posting their data into discord so everyone can grab off of it**
2. Create a menu allowing for the following:
    * Print out of all students and all of their data
    * Print out of all students and only one of their data members on request of user (ex. print out all students and their fav car)
    * Print out of only a specific student (This one can be challanging)
3. **BONUS**
    * Add additonal students to the end
    * Remove students at the end
    * Remove a specific student (This one is challanging)
4. Push code to Gitlab and post the link in code (This is so that we can get more practice with git)
    * Ensure you are commiting often
    * *Advice:* Commit anything a moderate feature is added or changed
        * ex: You added the ability to print out a specific student
        * ex: You removed a section of code that was giving you issues
    * *Advice:* You can commit often without the need to push your code. It's recommended to push code after larger work is done
        * ex: You finished an entire requirment
        * ex: You changed a large amount of code
        * ex: You have a ton of commits 

## Requirments

* Utilize headers for all declarations
* Utilize proper naming schemas
* Document code
* Push code to Gitlab
    * Use branching! Create a development branch and push to there. Merge when all requirments are met
* Break your code out into functions
* Utilize multiple C files if needed 
---